<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

$additionalFields = [
    'parent_id' => [
        'config' => [
            'type' => 'passthrough',
        ]
    ],
    'item' => [
        'exclude'    => 0,
        'label'      => 'Element',
        'config'     => [
            'type'             => 'inline',
            'foreign_table'    => 'tt_content',
            'foreign_field'    => 'parent_id',
        ],
    ],
];
ExtensionManagementUtility::addTCAcolumns('tt_content', $additionalFields);

$GLOBALS['TCA']['tt_content']['types']['reproduce_82032_container']['showitem'] .= '
--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.general;general,
item';

ExtensionManagementUtility::addPlugin(
	array('82032 container', 'reproduce_82032_container'),
	'CType',
	'Reproduce82032'
);
